GuideLab API

Get Stripe External Adjustment

View an unresolved external Stripe adjustment and source-receipt invoice candidates. Lab owner/admin only.

GET
/finances/external-adjustments/{id}

View an unresolved external Stripe adjustment and source-receipt invoice candidates. Lab owner/admin only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
Length1 <= length

Response Body

application/json

application/json

curl -X GET "https://example.com/finances/external-adjustments/string"
{  "id": "string",  "paymentId": "string",  "partnershipId": "string",  "clinicId": "string",  "clinicName": "string",  "kind": "refund",  "amount": "string",  "resolutionAmount": "string",  "currency": "string",  "providerStatus": "string",  "effectState": "none",  "reviewReason": "string",  "providerReference": "string",  "paymentReference": "string",  "lastProviderEventAt": "string",  "createdAt": "string",  "canResolve": true,  "allowedResolutionTypes": [    "allocate"  ],  "stripePaymentIntentId": "string",  "stripeChargeId": "string",  "invoiceCandidates": [    {      "invoiceId": "string",      "invoiceNumber": "string",      "status": "string",      "issueDate": "string",      "totalAmount": "string",      "amountPaid": "string",      "amountDue": "string",      "sourceAllocatedAmount": "string",      "currency": "string"    }  ]}
{  "error": "string"}